package com.ruoyi.system.mapper.projectV2;

import com.ruoyi.system.domain.projectV2.ZsyzDbd;

import java.util.List;


/**
 * 招商引资_督办单Mapper接口
 * 
 * @author boman
 * @date 2023-02-25
 */
public interface ZsyzDbdMapper 
{
    /**
     * 查询招商引资_督办单
     * 
     * @param id 招商引资_督办单主键
     * @return 招商引资_督办单
     */
    public ZsyzDbd selectZsyzDbdById(Long id);

    /**
     * 查询招商引资_督办单列表
     * 
     * @param zsyzDbd 招商引资_督办单
     * @return 招商引资_督办单集合
     */
    public List<ZsyzDbd> selectZsyzDbdList(ZsyzDbd zsyzDbd);

    /**
     * 新增招商引资_督办单
     * 
     * @param zsyzDbd 招商引资_督办单
     * @return 结果
     */
    public int insertZsyzDbd(ZsyzDbd zsyzDbd);

    /**
     * 修改招商引资_督办单
     * 
     * @param zsyzDbd 招商引资_督办单
     * @return 结果
     */
    public int updateZsyzDbd(ZsyzDbd zsyzDbd);

    /**
     * 删除招商引资_督办单
     * 
     * @param id 招商引资_督办单主键
     * @return 结果
     */
    public int deleteZsyzDbdById(Long id);

    /**
     * 批量删除招商引资_督办单
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteZsyzDbdByIds(Long[] ids);

    long number(ZsyzDbd zsyzDbd);

}
